/*
 * Define the trait Information that will contain the function print_info()
 */
pub trait Information {
  // define the function, &self is an argument that will be autofilled
  // when running the function and it will reference the current object
  fn print_info(&self);
}

/*
 * Define the struct Car, which will hold all the necessary information 
 */
pub struct Car {
  pub manufacturer: String,
  pub model: String
}

/*
 * Implementing the trait Information for the struct Car
 */
impl Information for Car {
  fn print_info(&self) {
    println!("Car Information:");
    println!("- manufacturer: {}", self.manufacturer);
    println!("- model: {}", self.model);
  }
}
